> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Audit Logs

&#x20;Required API key permission: **Read Organization Admin**

Returns a list of audit logs for the current organization, which can be used to stream all audit logs to an external platform or to search for specific ones.

## Body Parameters

**from** `string`

The `next` value from the last response.

**order** `string` (default: desc)

Available options: `asc`, `desc`

**size** `integer` (default: 50)

**filters** `object`

**child attributes**

**affected\_tenant\_ids** `integer[]`

Tenants affected by the audit log.

**created\_at** `object`

**child attributes**

**gte** `string`

Matches values greater than or equal to the specified timestamp.

Format: ISO-8601

**lte** `string`

Matches values lesser than or equal to the specified timestamp.

Format: ISO-8601

**query** `string`

Free text search on the audit log content.

```json Response Example theme={null}
{
  "items": [
    {
      "id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "type": "event",
      "action": "created",
      "source": "all",
      "affected_tenant_id": 123,
      "affected_tenant_name": "<string>",
      "affected_user_id": 123,
      "performed_by": {
        "user_id": 123,
        "user_email": "<string>",
        "user_name": "<string>",
        "tenant_id": 123,
        "ip": "<string>",
        "user_type": "user"
      },
      "data": {
        "identifier_id": 123,
        "identifier_name": "<string>",
        "identifier_edit_data": {},
        "name": "identifier.edit",
        "version": 1
      },
      "previous_data": {
        "identifier_id": 123,
        "identifier_name": "<string>",
        "identifier_edit_data": {},
        "name": "identifier.edit",
        "version": 1
      }
    }
  ],
  "next": "<string>",
  "total_count": 123
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.